
 LinHES - Bug # 784: Hauppauge HVR-2250

Status: Closed Priority: Normal
Author: RacerX Category: Packages: Core
Created: 09/17/2011 Assignee:
Updated: 09/18/2011 Due date:
Description: I installed LinHES R7.0.3 with a build date of 9/14/2011

lspci -v shows

@Multimedia controller: Phillips Semiconductors SAA7164 (rev 81)
Subsystem: Hauppauge computer works Inc. WinTv HVR-2250
Flags: bus master, fast devsel, latency 0, IRQ 18
Memory at fa800000 (64bit, non prefetchable) [size=4m]
Memory at fa400000 (64bit, non prefetchable) [size=4m]
...
Kernel driver in use: ath9k
Kernel modules: ath9k
@
My test box is ZOTAC Atom IONITX-F

uname -r = 2.6.39-LinHES

Myth Setup does not find the card and acts like there no tuner at all.

History
09/18/2011 11:47 am - brfransen
- Status changed from New to Feedback

- Target version set to 7.1

- Category set to Packages: Core

I added the 22xx firmware to the dvb-firmware package: sudo pacman -Sy dvb-firmware  Please report back if that fixes the problem.

09/18/2011 01:08 pm - RacerX
The package bombs with file conflicts.... 

/lib/firmware/dvb-fe-or51132-qam.fw exists in filesystem
/lib/firmware/dvb-fe-or51232-vsb.fw exists in the filesystem
/lib/firmware/dvb-fe-or51211.fw exists in filesystem

I need a little help.  How do you capture the text in the cmd window?  

I would like to replay with the exact response.

dmesg | grep SAA7154

This will provide a little more insight like the firmware is not loaded but typing the whole thing out is a pain.

Thanks

04/30/2025 1/2



09/18/2011 01:15 pm - RacerX
The package fails conflicting files

/lib/firmware/dvb-fe-or51132-qam.fw
/lib/firmware/dvb-fe-or51132-vsb.fw
/lib/firmware/dvb-fe-or51211.fw

no packages updated

How do you capture text in the cmd window so you don't have to type it all?

09/18/2011 01:43 pm - brfransen
sudo pacman -Syf dvb-firmware to overwrite the file conflicts.

09/18/2011 01:59 pm - RacerX
I found the solution to the problem 

The file 

nxp7164-2010-03-10.1.fw is missing 

It needs to be in the lib/firmware directory

@http://www.steventoth.net/linux/hvr22xx/firmwares/4019072/NXP7164-2010-03-10.1.fw@

Then reboot

When I enter myth setup the card shows as "Analog V4L capture card"
All I had to do was create two tuners since the card has dual tuners..

Thanks

09/18/2011 03:53 pm - brfransen
- Status changed from Feedback to Closed

The nxp firmware has been added to the dvb-firmware package.
